V2 Export
Create Export Job
Create an asynchronous export job.
POST
https://oathnet.org/api
/
service
/
v2
/
exports
Create Export Job
curl --request POST \
--url https://oathnet.org/api/service/v2/exports \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"limit": 123,
"fields": [
"<string>"
],
"search": {
"query": "<string>",
"domains": [
"<string>"
],
"subdomains": [
"<string>"
],
"paths": [
"<string>"
],
"usernames": [
"<string>"
],
"passwords": [
"<string>"
],
"emails": [
"<string>"
],
"ips": [
"<string>"
],
"hwids": [
"<string>"
],
"discord_ids": [
"<string>"
],
"log_id": "<string>",
"from": "<string>",
"to": "<string>",
"date_field": "<string>",
"sort": "<string>",
"logic": "<string>",
"filter": {
"field": "country",
"operator": "eq",
"value": "us"
},
"filter_id": "0123456789abcdef01234567",
"wildcard": true,
"has_log_id": true,
"phone": [
"<string>"
],
"first_name": [
"<string>"
],
"last_name": [
"<string>"
],
"full_name": [
"<string>"
],
"city": [
"<string>"
],
"country": [
"<string>"
],
"state": [
"<string>"
],
"postal_code": [
"<string>"
],
"dbname": [
"<string>"
],
"password_hash": [
"<string>"
],
"email_domain": [
"<string>"
],
"iban": [
"<string>"
],
"ssn": [
"<string>"
],
"date_birth_from": "<string>",
"date_birth_to": "<string>"
},
"query_config": {
"q": "alice@example.com",
"email": "alice@example.com",
"dbname[]": [
"linkedin.com",
"twitter.com"
],
"wildcard": true,
"extra_params": {
"sort": "-indexed_at"
}
}
}
'import requests
url = "https://oathnet.org/api/service/v2/exports"
payload = {
"limit": 123,
"fields": ["<string>"],
"search": {
"query": "<string>",
"domains": ["<string>"],
"subdomains": ["<string>"],
"paths": ["<string>"],
"usernames": ["<string>"],
"passwords": ["<string>"],
"emails": ["<string>"],
"ips": ["<string>"],
"hwids": ["<string>"],
"discord_ids": ["<string>"],
"log_id": "<string>",
"from": "<string>",
"to": "<string>",
"date_field": "<string>",
"sort": "<string>",
"logic": "<string>",
"filter": {
"field": "country",
"operator": "eq",
"value": "us"
},
"filter_id": "0123456789abcdef01234567",
"wildcard": True,
"has_log_id": True,
"phone": ["<string>"],
"first_name": ["<string>"],
"last_name": ["<string>"],
"full_name": ["<string>"],
"city": ["<string>"],
"country": ["<string>"],
"state": ["<string>"],
"postal_code": ["<string>"],
"dbname": ["<string>"],
"password_hash": ["<string>"],
"email_domain": ["<string>"],
"iban": ["<string>"],
"ssn": ["<string>"],
"date_birth_from": "<string>",
"date_birth_to": "<string>"
},
"query_config": {
"q": "alice@example.com",
"email": "alice@example.com",
"dbname[]": ["linkedin.com", "twitter.com"],
"wildcard": True,
"extra_params": { "sort": "-indexed_at" }
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 123,
fields: ['<string>'],
search: {
query: '<string>',
domains: ['<string>'],
subdomains: ['<string>'],
paths: ['<string>'],
usernames: ['<string>'],
passwords: ['<string>'],
emails: ['<string>'],
ips: ['<string>'],
hwids: ['<string>'],
discord_ids: ['<string>'],
log_id: '<string>',
from: '<string>',
to: '<string>',
date_field: '<string>',
sort: '<string>',
logic: '<string>',
filter: {field: 'country', operator: 'eq', value: 'us'},
filter_id: '0123456789abcdef01234567',
wildcard: true,
has_log_id: true,
phone: ['<string>'],
first_name: ['<string>'],
last_name: ['<string>'],
full_name: ['<string>'],
city: ['<string>'],
country: ['<string>'],
state: ['<string>'],
postal_code: ['<string>'],
dbname: ['<string>'],
password_hash: ['<string>'],
email_domain: ['<string>'],
iban: ['<string>'],
ssn: ['<string>'],
date_birth_from: '<string>',
date_birth_to: '<string>'
},
query_config: {
q: 'alice@example.com',
email: 'alice@example.com',
'dbname[]': ['linkedin.com', 'twitter.com'],
wildcard: true,
extra_params: {sort: '-indexed_at'}
}
})
};
fetch('https://oathnet.org/api/service/v2/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"job_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"progress": {
"records_done": 123,
"records_total": 123,
"bytes_done": 123,
"percent": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"result": {
"format": "<string>",
"file_name": "<string>",
"file_path": "<string>",
"file_size": 123,
"records": 123,
"ready_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
},
"last_error": "<string>",
"request": {
"type": "<string>",
"service": "<string>",
"format": "<string>",
"limit": 123,
"fields": [
"<string>"
],
"request_count": 123
},
"next_poll_after_ms": 123,
"metadata": {}
}Authorizations
API key for authentication (lowercase header name)
Body
application/json
Available options:
docs, victims, breach Available options:
stealer, victims, breach Available options:
json, jsonl, csv, txt, html Show child attributes
Show child attributes
Reusable JSON form of a search request for exports and bulk-search jobs.
It accepts the same public filter keys as the corresponding V2 search endpoint, plus filter
and filter_id. Prefer canonical JSON keys such as domain, email_domain, dbname,
and username; bracketed variants such as domain[] are also accepted by the API.
Show child attributes
Show child attributes
Example:
{
"q": "alice@example.com",
"email": "alice@example.com",
"dbname[]": ["linkedin.com", "twitter.com"],
"wildcard": true,
"extra_params": { "sort": "-indexed_at" }
}
Response
202 - application/json
Raw export job snapshot
Available options:
queued, running, completed, canceled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create Export Job
